/*
 System-wide definitions
 
 Copyright (c) 2009 Dimtel, Inc., All Rights Reserved

 $Id$
 $Date$
 $Author$
 $Revision$
 $Log$

*/

#ifndef _BXB_H_
#define _BXB_H_

#define deltaT(tvp1, tvp2) (((tvp2)->tv_sec-(tvp1)->tv_sec)*1000000 + \
			      (tvp2)->tv_usec - (tvp1)->tv_usec)

typedef unsigned long ulong;
typedef unsigned char uchar;

enum pattern {
  WFM_SIN,
  WFM_SQUARE,
  WFM_SAWTOOTH,
  WFM_ARB
};
        
#define DAC_FS 8191

int patternConvert(char *pattern, char *bunches, int hnum);

#endif /* _BXB_H_ */
