#!../../bin/linux-x86/BxB

## IOC startup script
##
## Copyright (c) 2008 Dimtel, Inc., All Rights Reserved
##
## $Id: st.cmd,v 1.1.1.1 2009/06/02 20:26:01 dim Exp $
## $Date: 2009/06/02 20:26:01 $
## $Author: dim $
## $Revision: 1.1.1.1 $
## $Log: st.cmd,v $
## Revision 1.1.1.1  2009/06/02 20:26:01  dim
## Initial import
##
##
##

< envPaths_custom

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/BxB.dbd")
BxB_registerRecordDeviceDriver(pdbbase)

## Load record instances
dbLoadRecords("db/regs.db",   "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/calcs.db",  "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/ctrl.db",   "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/ad9512.db", "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/acq.db",    "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/drive.db",  "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/scalar.db", "SYS=${SYS},DEV=${DEV}");
dbLoadRecords("db/fir.db",    "SYS=${SYS},DEV=${DEV}");

# Save/restore setup
epicsEnvSet(DYNAMIC_RESTORE_FILE, "${TOP}/pvs/bumpless.${DEV}.pvs")

cd ${TOP}/iocBoot/${IOC}
iocInit()
